# class TextMetrics

#### package js.html

Available on HTML5

The `TextMetrics` interface represents the dimension of a text in the canvas, as created by the `CanvasRenderingContext2D.measureText()` method.

Documentation TextMetrics by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/TextMetrics

### Variables

###

`read onlywidth:Float`

Is a `double` giving the calculated width of a segment of inline text in CSS pixels. It takes into account the current font of the context.